Goal is to receive push notifications through Discord when the average for ten minutes of PM2.5 density measured by one PurpleAir device crosses a threshold.

The Ruby script uses:

- Heroku Scheduler with 10' frequency
- Heroku Redis
- Discord private channel
- an alternate source of Temperature and Humidity values

Humidity (and Temperature) measured by PA sensors are inside the casing and under-estimate real value. Especially within the range of interest. Paper-based particulate filters require humidity below 70% to perform properly.

Discord iOS app doesn't require background activity.  Enable push in Notifications.

For the script to work it is necessary to:

- replace configuration values described with <...> with your own values 
- implement the Observatory module